<!DOCTYPE html>
<html>
<style>
input[type=text], input[type=number] , select {
    width: 100%;
    padding: 12px 14px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type=submit] {
    width: 100%;
    background-color: #4CAF50;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: #45a049;
}

#mainCenter {
    width: 700px; 
    margin: 0 auto;
    padding: 20px; 
    display: flex;
    flex-flow: column wrap; 
    align-items: center;
    background-color: #f1f1f1;
}

.formGroup {
    display: inline-block; 
    width: 100%;
}

</style>
<body>
<div id="mainCenter">
  <form action="customize_initiate.php" method="post">
  	<div class="formGroup">
  		<div style="float:left; width: 60%">
  			<label for="wpcAmount"><strong>Amount</strong></label>
	    	<input type="text" id="wpcAmount" name="wpcAmount" placeholder="Amount" required>
  		</div>
  		<div style="float:left; width: 40%;">
  			<label for="wpcCurrency"><strong>Currency</strong></label>
		    <select id="wpcCurrency" name="wpcCurrency" style="height: 41px;" required>
		        <option value="USD" selected="">USD</option>
		        <option value="AUD">AUD</option>
		        <option value="CHF">CHF</option>
		        <option value="EUR">EUR</option>
		        <option value="GBP">GBP</option>
		        <option value="HKD">HKD</option>
		        <option value="SGD">SGD</option>
	        </select>
  		</div>
	</div>

	<div style="clear:both;"></div>
	<div class="formGroup" style="padding-bottom: 10px;">
		<label for="wpcCartItems"><strong>Cart items</strong> <button id="showCartItems" type="button" onclick="showCart(this);">Show</button></label>
	</div>

	<div style="clear:both;"></div>
	<div style="width: 100%; display: none;" id="list_items"></div>

	<div style="clear:both;"></div>
	<div style="margin-bottom: 10px"><button id="add_newCartItem" type="button" onclick="addNewExceptionRow();" style="display: none;">Add new</button></div>

    <div style="clear:both;"></div>
    <label for="wpcDescription"><strong>Description</strong></label>
    <input type="text" id="wpcDescription" name="wpcDescription" placeholder="Description" required>
  
    <div style="clear:both;"></div>
    <input type="submit" value="Submit">

    <div style="clear:both;"></div>
    <button type="button" onclick="location.href='index.php'">Back</button>
  </form>
</div>
</body>
<footer>
    <script>
    function appendHtml(el, str) {
        var div = document.createElement('div');
        div.innerHTML = str;
        while (div.children.length > 0) {
            el.appendChild(div.children[0]);
        }
    }
    var exceptionNextIndex = 0;
    function  addNewExceptionRow() {
        var list_items = document.getElementById('list_items');
        if(exceptionNextIndex <=9)
        {
            exceptionNextIndex++;
            var cartItem = "<div style='clear:both;'></div><div style='display: inline-block;'>" + 
                "<div style='float:left; width: 50%;'><input type='text' id='wpcItem_" + exceptionNextIndex + "_name' name='wpc_item_name[]' placeholder='Item name' required></div>" + "<div style='float:left; width: 20%;'><input type='text' id='wpcItem_" + exceptionNextIndex + "_amt' name='wpc_item_amt[]' placeholder='0.00' required></div>" + "<div style='float:left; width: 15%;'><input type='number' id='wpcItem_" + exceptionNextIndex + "_qty' name='wpc_item_qty[]' min='1' max='10' value='1' required></div>" + "<div style='float:left; width: 15%; text-align: right;'><button type='button' onclick='removeExceptionRow(this);' style='margin-top: 20px;'>Remove</button></div></div>";
            
            appendHtml(list_items, cartItem);
        }
        if(exceptionNextIndex==10)
        {
            document.getElementById('add_newCartItem').style.display = 'none';
        }
    }
    function removeExceptionRow(e) {
        var row = e.parentNode.parentNode;
        row.parentNode.removeChild(row);
        exceptionNextIndex--;
        if(exceptionNextIndex <=9)
        {
            if (document.getElementById('add_newCartItem').style.display == 'none') {
                document.getElementById('add_newCartItem').style.display= 'block';
            }
        }
    }
    function showCart(e) {
        var list_items = document.getElementById('list_items');
        if (list_items.style.display === "none") {
            list_items.style.display = "block";
            e.innerHTML = 'Hide';
            document.getElementById('add_newCartItem').style.display= 'block';
        } else {
            list_items.style.display = "none";
            e.innerHTML = 'Show';
            document.getElementById('add_newCartItem').style.display= 'none';
        }
    }
</script>
</footer>
</html>