<?php

require_once ('functions.php');

//World Payments Corp Config
$wpcTestMode = true;
$wpcMerchantUserName = '<your_vendor_user_name>';     //Replace it by your vendor user name
$wpcMerchantSecretKey = '<your_vendor_secret_key>';   //Replace it by your vendor secret key
if ($wpcTestMode) {
    //TEST MODE ENDPOINT
    $wpcEndpoint = 'https://securetest.paycec.com/redirect-service';
} else {
    //LIVE MODE ENDPOINT
    $wpcEndpoint = 'https://secure.paycec.com/redirect-service';
}

//Request token from wpc redirect service
$requestTokenEndpoint = $wpcEndpoint.'/request-token';

//Build request parameters
$params =  array(
    'merchantName' => $wpcMerchantUserName,
    'merchantSecretKey' => $wpcMerchantSecretKey,
    'merchantToken' => time(),                                  //You can change it by your unique token builder
    'merchantReferenceCode' => 'Description for this payment',  //Replace it by your description
    'userEmail' => 'buyer@email.com',                           //Replace it by your buyer email
    'amount' => 9.95,                                           //Replace it by your total amount
    'currencyCode' => 'USD',                                    //Replace it by your currency code
    'returnUrl' => 'http://basicwpc.dev/return.php',   //Replace it by your return call back url
    'cancelUrl' => 'http://basicwpc.dev/cancel.php',   //Replace it by your cancel call back url
	//You can specify up to 10 items, where n is a digit between 0 and 9, inclusive; except for digital goods, which supports only single payments (set n to 0).
    'item_0_amt' => 2.05, //Replace it by your amount of item_1
    'item_0_name' => 'Product Item 1', //Replace it by your name of item_1
    'item_0_qty' => '1', //Replace it by your quantity of item_1
    'item_1_amt' => 3.95,
    'item_1_name' => 'Product Item 2',
    'item_1_qty' => '2',
);
$params['sig'] = generateSignatureWpc($requestTokenEndpoint, $params, $wpcMerchantSecretKey);

//Call to Secure PayCEC Service to request token
$reply = callWpc($requestTokenEndpoint, $params, $errorCode, $errorMessage);

if ($reply != null && $reply->isSuccessful == 'true') {
    //Did request token successfully!

    $token = $reply->token;

    //Redirect your buyer to the Secure PayCEC Webscreen to make payment
    $redirectEndpoint = $wpcEndpoint.'/webscreen?token='.$token;

    header('Location:'.$redirectEndpoint);

    //After the buyer charged, the Secure PayCEC will redirect to your return callback url
    //If the buyer cancel payment, the Secure PayCEC will redirect to your cancel callback url
}
else {
    //Error handling

    if ($reply) {
        echo '<p>We\'ve got some errors retrieving from WPC service.</p>';
        echo '<p>- Error Code: ' . $reply->errorCode . '</p>';
        echo '<p>- Error Message: ' . $reply->message . '</p>';
        if (isset($reply->errorField)) {
            echo '<p>- Error Field: ' . $reply->errorField . '</p>';
        }
    }
    else if (!empty($errorMessage)) {
        echo '<p>We\'ve got some errors when connecting to Secure WPC service.</p>';
        echo '<p>- Error Code: ' . $errorCode . '</p>';
        echo '<p>- Error Message: ' . $errorMessage . '</p>';
    }

}